aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJani Nikula <jani@nikula.org>2017-09-25 23:38:26 +0300
committerDavid Bremner <david@tethera.net>2017-10-20 19:55:10 -0300
commit8dfa116010adba3a41b6a4248d1706b34ffae600 (patch)
tree9c2cc86233dd9d27327080a0ca4d38ea0553d55e
parent8e7fb88237aedea22ecb70b0195984c2f177bbeb (diff)
test: mkdir and cd to $TMP_DIRECTORY instead of $test for testing
$TMP_DIRECTORY is a full path, while $test is not.
-rw-r--r--test/test-lib-common.sh1
-rw-r--r--test/test-lib.sh2
2 files changed, 1 insertions, 2 deletions
diff --git a/test/test-lib-common.sh b/test/test-lib-common.sh
index 5133917d..5e53348a 100644
--- a/test/test-lib-common.sh
+++ b/test/test-lib-common.sh
@@ -329,7 +329,6 @@ mkdir -p "${HOME}"
MAIL_DIR="${TMP_DIRECTORY}/mail"
export NOTMUCH_CONFIG="${TMP_DIRECTORY}/notmuch-config"
-mkdir -p "${test}"
mkdir -p "${MAIL_DIR}"
cat <<EOF >"${NOTMUCH_CONFIG}"
diff --git a/test/test-lib.sh b/test/test-lib.sh
index e75f93b3..4619c327 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -1083,7 +1083,7 @@ emacs_generate_script
# Use -P to resolve symlinks in our working directory so that the cwd
# in subprocesses like git equals our $PWD (for pathname comparisons).
-cd -P "$test" || error "Cannot set up test environment"
+cd -P "$TMP_DIRECTORY" || error "Cannot set up test environment"
if test "$verbose" = "t"
then